получить длину объекта при выделение его.

Автор grozdiVinograda, 01.10.09, 23:10:32

« предыдущая - следующая »

0 Пользователей и 1 гость просматривают эту тему.

grozdiVinograda

Всем доброго времени суток!
Вот такая вот проблема стоит. пытался использовать функцию ksGetCurvePerimeter(long curve, shot dimension).
Но тут возникает резонный вопрос где мне взять указатель на кривую. он должен мне выдаваться когда я щёлкаю на неё. Помогите кто чем может плиз)
То есть по идее мне надо сделать практически уже существующую функцию сервис->измерить->Длину кривой, но мне надо в моём приложении что бы дальше их использовать!
Всем заранее спасибо!

Slaviation

Шаг 1. Функция Cursor - для получения координат указанной точки.
Шаг. 2. Функция SelectGroup, в которой прямоугольник-ловушку назначаем с помощью полученных координат из предыдущего шага.
Шаг 3. Запустить итератор по селектированным группам.

См. похожий пример \SDK\C++\VisualcAUTO\slideWrk\slideWrk.cpp, функция void DecomposeSlideStep( ksDocument2D& doc )

grozdiVinograda

Спасибо за ответ. Я сразу оговорюсь что для компаса программить начал совсем недавно и многого не догоняю ещё. Можно я здесь поспрашиваю?)))я програмлю на делфи и что-то я пример совсем не понял. У меня вот вопрос в хелпе написано что функция Cursor вовращает не координаты а 1 или 0, а координаты совсем даже принимает. Это как?
И ещё один вопрос совсем никак не могу догнать как использовать апи функции, получается только функции автоматизации и то только функции ksDocument2D. может я подключаю что-то неправильно((((

Slaviation

См. справку SDK по функции Cursor:
int Cursor (RequestInfo *info, double *x, double *y, void * phantom);
Все параметры передается указателями. Функция их и принимает и отдает.

Если используешь автоматизацию, ищи ksCursor и ksSelectGroup в интерфейсах ksDocument2D.